/*
* Title:	PupeSimulateWin.h
* Author:	M.Thomas BEAM Ltd
* Date:		2007-04-03
*
* Contents:	Pupe Simulation mode setup
*
* Mod Rec:
*
*/

#ifndef PUPESIMULATE_H
#define PUPESIMULATE_H

#include <BString.h>
#include <qhbox.h>
#include <Control.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qpushbutton.h>

/*! Configure System and setup user interface window. 
*
*/
class PupeSimulateWin : public QWidget {
        Q_OBJECT
public:
        PupeSimulateWin(QWidget* w,Control& c);
	~PupeSimulateWin();
public slots:
	void	show();					///< Update and make the widget visible
	void	loadRam();				///< Load Pupe channel with simulation data from file
	void	clearRam();				///< Clear simulation data

private slots:
	void	selectFile();
private:
	void		warningDialog(BString title, BError err);
	Control&		ocontrol;
	
	QSpinBox*		ochannel;
	QPushButton*		oloadSimulationRam;
	QPushButton*		oclearSimulationRam;
	QLineEdit*		osimulationRamFilename;
	
};
#endif
